﻿/**Begin C:\PDM_UPGRADE\PDM1\SOU_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_REPLY_FJ') 
 CREATE TABLE T_PUR_NOTICE_REPLY_FJ (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_REPLY') 
 CREATE TABLE T_PUR_NOTICE_REPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREPLYNAME BIGINT DEFAULT 0 NOT NULL,
FREPLYTEXT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FREPLYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRYTURNSLOG') 
 CREATE TABLE T_PUR_INQUIRYTURNSLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOGDEADLINE DATETIME,
FENTRYLOGSCOPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRYTURNS') 
 CREATE TABLE T_PUR_INQUIRYTURNS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARQUOENTRY') 
 CREATE TABLE T_PUR_COMPARQUOENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FREMARKS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FISADOPT CHAR(1) DEFAULT ' ' NOT NULL,
FADOPTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FQOUTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQOUAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FQUOTEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARE_L') 
 CREATE TABLE T_PUR_COMPARE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_QUOTE_L') 
 CREATE TABLE T_PUR_QUOTE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRY_L') 
 CREATE TABLE T_PUR_INQUIRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_A') 
 CREATE TABLE T_PUR_NOTICE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILLENTRY_A') 
 CREATE TABLE T_PUR_BIDBILLENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASICUNITID BIGINT DEFAULT 0 NOT NULL,
FBASICQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMCONTRACTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FPRBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILL_A') 
 CREATE TABLE T_PUR_BIDBILL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FDECIDER BIGINT DEFAULT 0 NOT NULL,
FDECIDEDATE DATETIME,
FORIGIN CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHNOTICE CHAR(1) DEFAULT '0' NOT NULL,
FPUSHPRICE INT DEFAULT 0 NOT NULL,
FPUSHSOUCE INT DEFAULT 0 NOT NULL,
FENROLLNUM INT DEFAULT 0 NOT NULL,
FBIDNUM INT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBIDPROFIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAUDIT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTERMINATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAMOUNT1 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPPLIERID1 BIGINT DEFAULT 0 NOT NULL,
FPAUSETIME DATETIME,
FPAUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAUSESTARTTIME DATETIME,
FBIDRESTOFTIME BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHRESULT CHAR(1) DEFAULT '0' NOT NULL,
FISFREEQUOTE CHAR(1) DEFAULT '0' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARENTRY_A') 
 CREATE TABLE T_PUR_COMPARENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASICUNITID BIGINT DEFAULT 0 NOT NULL,
FBASICQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMCONTRACTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE1 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE2 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE3 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE4 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE5 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE6 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE7 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTE8 DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMAXPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHISMINPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNEWPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVGPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPRBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FPRBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMINORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPURLEADDAY INT DEFAULT 0 NOT NULL,
FLASTCOMPAREID VARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTCOMPAREPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARE_A') 
 CREATE TABLE T_PUR_COMPARE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FORIGIN CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHPRICE INT DEFAULT 0 NOT NULL,
FPUSHSOUCE INT DEFAULT 0 NOT NULL,
FPUSHRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_QUOTENTRY_A') 
 CREATE TABLE T_PUR_QUOTENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASICUNITID BIGINT DEFAULT 0 NOT NULL,
FBASICQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMCOMPAREQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRESULT CHAR(1) DEFAULT ' ' NOT NULL,
FCFMQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCFMPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCFMTAXPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCFMTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCFMNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPRBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
PRBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
PRENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCFMTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FMINORDERQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPURLEADDAY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_QUOTE_A') 
 CREATE TABLE T_PUR_QUOTE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FORIGIN CHAR(1) DEFAULT ' ' NOT NULL,
FSUPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTACTOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUOTEFROM CHAR(1) DEFAULT ' ' NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRYENTRY_A') 
 CREATE TABLE T_PUR_INQUIRYENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASICUNITID BIGINT DEFAULT 0 NOT NULL,
FBASICQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSTQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMQUOTEQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FPRBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRY_A') 
 CREATE TABLE T_PUR_INQUIRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCFMID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FOPENER BIGINT DEFAULT 0 NOT NULL,
FOPENDATE DATETIME,
FDECIDER BIGINT DEFAULT 0 NOT NULL,
FDECIDEDATE DATETIME,
FORIGIN CHAR(1) DEFAULT ' ' NOT NULL,
FQUOTENUM BIGINT DEFAULT 0 NOT NULL,
FMINSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMAXSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVGSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FMAXSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAUDIT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTERMINATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPUSHNOTICE CHAR(1) DEFAULT '0' NOT NULL,
FPUSH1688 CHAR(1) DEFAULT '0' NOT NULL,
FBUYOFFERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLIERPROSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_MESSAGE_L') 
 CREATE TABLE T_PUR_MESSAGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_MESSAGE') 
 CREATE TABLE T_PUR_MESSAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FIMPORTANT CHAR(1) DEFAULT ' ' NOT NULL,
FURGENT CHAR(1) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSENDERID BIGINT DEFAULT 0 NOT NULL,
FSENDDATE DATETIME,
FRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_L') 
 CREATE TABLE T_PUR_NOTICE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILLQUOTE') 
 CREATE TABLE T_PUR_BIDBILLQUOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREDUCEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FQUOTEDATE DATETIME,
FQUOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FQUOSUPPAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPPREDUCEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGE DECIMAL(19,6) DEFAULT 1 NOT NULL,
FQUOTEMATERIAL BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAMETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALROWID BIGINT DEFAULT 0 NOT NULL,
FQUOTETAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FQUOTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILLSUPPLIER') 
 CREATE TABLE T_PUR_BIDBILLSUPPLIER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FENROLLID BIGINT DEFAULT 0 NOT NULL,
FENROLLDATE DATETIME,
FAUDITID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FPAYID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FRETURNID BIGINT DEFAULT 0 NOT NULL,
FRETURNDATE DATETIME,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRANKING INT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FALLOWBID CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILL_L') 
 CREATE TABLE T_PUR_BIDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILL') 
 CREATE TABLE T_PUR_BIDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCHECKTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYCONDID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FINVTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIZMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGCAPITAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCASHDEPOSIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENROLLDATE DATETIME,
FOPENDATE DATETIME,
FRESULTDATE DATETIME,
FBIDTIME INT DEFAULT 0 NOT NULL,
FLASTTIME INT DEFAULT 0 NOT NULL,
FDELAYTIME INT DEFAULT 0 NOT NULL,
FBIDCOUNT INT DEFAULT 0 NOT NULL,
FMAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREDUCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FREDUCEPCT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPEN1 CHAR(1) DEFAULT '0' NOT NULL,
FOPEN2 CHAR(1) DEFAULT '0' NOT NULL,
FOPEN3 CHAR(1) DEFAULT '0' NOT NULL,
FOPEN4 CHAR(1) DEFAULT '0' NOT NULL,
FBIDNUMBER INT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FAUTOCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FQUOTEMODE CHAR(1) DEFAULT '1' NOT NULL,
FADDREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUOTATIONTREND CHAR(1) DEFAULT '1' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FISLARGEBASE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILLENTRY') 
 CREATE TABLE T_PUR_BIDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALNAMETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSTPROID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FWINPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWINTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTRACEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FWINSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FWINOPTION NVARCHAR(512) DEFAULT ' ' NOT NULL,
FWINAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISUPDATEASINFO CHAR(1) DEFAULT '0' NOT NULL,
FISLARGE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICESUPPLIER') 
 CREATE TABLE T_PUR_NOTICESUPPLIER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCONTACTER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FREGSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREPLYSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE') 
 CREATE TABLE T_PUR_NOTICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FDUEDATE DATETIME,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FIMPORTANT CHAR(1) DEFAULT ' ' NOT NULL,
FURGENT CHAR(1) DEFAULT ' ' NOT NULL,
FSUPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FCONTENT NCLOB,
FCONTENT_TAG NCLOB,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FISTOP CHAR(1) DEFAULT '0' NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FNOTICETPLID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FSOURCETYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARENTRY') 
 CREATE TABLE T_PUR_COMPARENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAMETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSTPROID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FINQUIRYQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELITYPEID INT DEFAULT 0 NOT NULL,
FQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPOBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTRACEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FEXCLUDEUNITTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUDEUNITTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUOTECURR BIGINT DEFAULT 0 NOT NULL,
FEXRATE DECIMAL(23,10) DEFAULT 1 NOT NULL,
FVALIDNUM INT DEFAULT 0 NOT NULL,
FISUPDATEASINFO CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_COMPARE') 
 CREATE TABLE T_PUR_COMPARE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPAYCONDID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXCHRATE DECIMAL(19,6) DEFAULT 1 NOT NULL,
FTAXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSUMTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FINQUIRYNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATEFROM DATETIME,
FDATETO DATETIME,
FSUPCURRTYPE CHAR(1) DEFAULT '2' NOT NULL,
FRATEDATE DATETIME,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_QUOTENTRY') 
 CREATE TABLE T_PUR_QUOTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAMETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSTPROID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FINQUIRYQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELITYPEID INT DEFAULT 0 NOT NULL,
FQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPOBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTRACEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FQUOTECURR BIGINT DEFAULT 0 NOT NULL,
FEXRATE DECIMAL(23,10) DEFAULT 1 NOT NULL,
FNEWESTTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FQUOTURNS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_QUOTE') 
 CREATE TABLE T_PUR_QUOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCONTACTERID BIGINT DEFAULT 0 NOT NULL,
FDATEFROM DATETIME,
FDATETO DATETIME,
FPAYCONDID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXCHRATE DECIMAL(19,6) DEFAULT 1 NOT NULL,
FTAXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FINVTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FINQUIRYNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUMCOST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALINQUIRY CHAR(1) DEFAULT '0' NOT NULL,
FTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FTURNSCOUNT VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUPCURRTYPE CHAR(1) DEFAULT '2' NOT NULL,
FRATEDATE DATETIME,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRYSUPPLIER') 
 CREATE TABLE T_PUR_INQUIRYSUPPLIER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FQUOTERID BIGINT DEFAULT 0 NOT NULL,
FQUOTEDATE DATETIME,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLIERBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTRYCOUNT VARCHAR(10) DEFAULT ' ' NOT NULL,
FCANSHOW CHAR(1) DEFAULT '1' NOT NULL,
FDEADLINE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRYENTRY') 
 CREATE TABLE T_PUR_INQUIRYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAMETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSTPROID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDELITYPEID INT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDCTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDCTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPOBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTRACEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FNEWESTTURNS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_INQUIRY') 
 CREATE TABLE T_PUR_INQUIRY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FDELIDATE DATETIME,
FDELIADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRCVORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYCONDID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRID BIGINT DEFAULT 0 NOT NULL,
FLOCCURRID BIGINT DEFAULT 0 NOT NULL,
FEXCHTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXCHRATE DECIMAL(19,6) DEFAULT 1 NOT NULL,
FTAXTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FINVTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIZMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREGCAPITAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUMQTY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FSUPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FDATEFROM DATETIME,
FDATETO DATETIME,
FTOTALINQUIRY CHAR(1) DEFAULT ' ' NOT NULL,
FTURNS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUPQUONUM INT DEFAULT 0 NOT NULL,
FSUPCURRTYPE CHAR(1) DEFAULT '2' NOT NULL,
FRATEDATE DATETIME,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FADOPTRULE VARCHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_BIDBILLSUPPLIER_ATT') 
 CREATE TABLE T_PUR_BIDBILLSUPPLIER_ATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SOU_table.sql **/
