﻿/**Begin C:\PDM_UPGRADE\PDM1\PUR_constraint.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PUR_NOTICESUPPLIER' AND KSQL_COL_NAME IN ('FREPLYSTATUS')) 
 ALTER TABLE T_PUR_NOTICESUPPLIER ADD (FREPLYSTATUS CHAR(1) DEFAULT ' ' );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_REPLY') 
 CREATE TABLE T_PUR_NOTICE_REPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREPLYNAME BIGINT DEFAULT 0 NOT NULL,
FREPLYTEXT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FREPLYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_NOTICE_REPLY_FJ') 
 CREATE TABLE T_PUR_NOTICE_REPLY_FJ (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


 EXEC P_ALTERPK 'PK_T_PUR_NOTICE_REPLY', 'T_PUR_NOTICE_REPLY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PUR_NOTICE_REPLY_FID') CREATE INDEX IDX_PUR_NOTICE_REPLY_FID ON T_PUR_NOTICE_REPLY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PUR_NOTICE_REPLY_SUPID') CREATE INDEX IDX_PUR_NOTICE_REPLY_SUPID ON T_PUR_NOTICE_REPLY ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_PUR_NOTICE_REPLY_FJ', 'T_PUR_NOTICE_REPLY_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PUR_NOTICE_FJ_FBDID') CREATE INDEX IDX_PUR_NOTICE_FJ_FBDID ON T_PUR_NOTICE_REPLY_FJ ( FBASEDATAID );



/**End C:\PDM_UPGRADE\PDM1\PUR_constraint.sql **/
